<template>
  <real-map-page v-if="realmap" :group="group" :restaurants="restaurants" />
  <building-page v-else :group="group" :restaurants="restaurants" />
</template>

<script>
import RealMapPage from "./RealMapPage";
import BuildingPage from "./BuildingPage";
import realmap from "../../const/realmap";

export default {
  components: {
    RealMapPage,
    BuildingPage
  },

  props: {
    group: {
      type: Object
    },
    restaurants: {
      type: Array
    }
  },

  computed: {
    realmap() {
      const groupId = this.$route.params.groupId;
      return Boolean(realmap[groupId]);
    }
  }
};
</script>

<style lang="scss" scoped></style>
